import { CID } from "multiformats/cid";
/**
 * Decode a possibly string-encoded CID.
 * Passing an already decoded CID instance works too.
 * @throws Throws an error if a CID cannot be decoded!
 */
export declare function decodeCID(val: CID | object | string): CID;
/**
 * Encode a CID as a string.
 */
export declare function encodeCID(cid: CID | string): string;
